package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrCleaning;

/**
 * 设备清洁Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrCleaningMapper
{
    /**
     * 查询设备清洁
     *
     * @param id 设备清洁ID
     * @return 设备清洁
     */
    public TPssrCleaning selectTPssrCleaningById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询设备清洁列表
     *
     * @param tPssrCleaning 设备清洁
     * @return 设备清洁集合
     */
    
    public List<TPssrCleaning> selectTPssrCleaningList(TPssrCleaning tPssrCleaning);

    /**
     * 新增设备清洁
     *
     * @param tPssrCleaning 设备清洁
     * @return 结果
     */
    public int insertTPssrCleaning(TPssrCleaning tPssrCleaning);

    /**
     * 修改设备清洁
     *
     * @param tPssrCleaning 设备清洁
     * @return 结果
     */
    public int updateTPssrCleaning(TPssrCleaning tPssrCleaning);
    public int updateTPssrCleaningByIds(TPssrCleaning tPssrCleaning);


    /**
     * 删除设备清洁
     *
     * @param id 设备清洁ID
     * @return 结果
     */
    public int deleteTPssrCleaningById(Long id);

    /**
     * 批量删除设备清洁
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrCleaningByIds(Long[] ids);
}
